For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metrics

Get the current metrics for the running server

get

Gets the metrics like memory consumption & allocation as well as response time histograms to use with monitoring tools

Responses
200

OK

application/json
cmdlinestring[]Optional
handlers.[name].errorsnumberOptional
handlers.[name].response_time.p50numberOptional
handlers.[name].response_time.p90numberOptional
handlers.[name].response_time.p95numberOptional
handlers.[name].response_time.p99numberOptional
get/metrics
GET /v2/metrics HTTP/1.1
Accept: */*
200

OK

{
  "cmdline": [
    "text"
  ],
  "handlers.[name].errors": 1,
  "handlers.[name].response_time.p50": 1,
  "handlers.[name].response_time.p90": 1,
  "handlers.[name].response_time.p95": 1,
  "handlers.[name].response_time.p99": 1,
  "memstats": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Last updated

Was this helpful?